<section>


  <p>
    This page is intended only to test certain functionality and to demonstrate
    various helper functions and modules.

    This handler should contain up to date examples of all functions so it can
    be the first point of contact.

 <p>
   ^{iconTooltip testTooltipMsg Nothing False}
   ^{messageTooltip msgInfoTooltip}
   ^{messageTooltip msgSuccessTooltip}
   ^{messageTooltip msgWarningTooltip}
   ^{messageTooltip msgErrorTooltip}
   ^{messageTooltip msgNonDefaultIconTooltip}

 <p>
  <span .tooltip>
    <span .tooltip__content>Buy Tooltip-White for brighter tooltips!
    The tooltip handle should always be set so tooltips are usable on mobile devices and without javascript.

<section>
  <h2>Manually created table
   <table .table .table--striped>
    <tr .table__row .table__row--head>
      <th .table__th colspan=2> Header A
      <th .table__th rowspan=2> Header
    <tr .table__row .table__row--head>
      <th .table__th> B
      <th .table__th> C
    <tr .table__row title="Example of line tooltip">
        <td .table__td>1
        <td .table__td>2
        <td .table__td>3
    <tr .table__row>
        <td .table__td>
          <span .tooltip>
            <span .tooltip__content>Buy Tooltip-White for brighter tooltips! (DOES NOT WORK)
          4
        <td .table__td>5
          <span .tooltip>
            <span .tooltip__content>Buy Tooltip-White for brighter tooltips! (DOES NOT WORK)
            <td .table__td>6
    <tr .table__row>
        <td .table__td>7
        <td .table__td>8
        <td .table__td>9

<section>
  <h2>Functions for testing

  <ul>
    <li>
      Button test:
        ^{btnForm}
    <li>
      Modals:
      <ul>
        <li>^{modal "Click me for ajax test" (Left $ SomeRoute UsersR)}
        <li>^{modal "Click me for content test" (Right "Test Inhalt für Modal")}
        <li>^{modal "Email-Test" (Right emailWidget')}
    <li>
      Some icons: ^{isVisible False} ^{hasComment True}
